com.r3corda.node.services.network / NetworkMapService / NetworkMapRequestMessage

# NetworkMapRequestMessage

`abstract class NetworkMapRequestMessage : ServiceRequestMessage`

### Constructors

<init> | `NetworkMapRequestMessage(replyTo: MessageRecipients)`

### Properties

replyTo | `val replyTo: MessageRecipients`

### Inherited Properties

sessionID | `abstract val sessionID: Long`

### Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`

### Inheritors

FetchMapRequest | `class FetchMapRequest : NetworkMapRequestMessage`
QueryIdentityRequest | `class QueryIdentityRequest : NetworkMapRequestMessage`
RegistrationRequest | `class RegistrationRequest : NetworkMapRequestMessage`
SubscribeRequest | `class SubscribeRequest : NetworkMapRequestMessage`